package main

import (
	"encoding/json"
	"log"
	"os"
)

type Config struct {
	WebPort            string `json:"web_port"`
	WebDomain          string `json:"web_domain"`
	WebAdmin           string `json:"web_admin"`
	WebAdminPass       string `json:"web_admin_pass"`
	MongoDbUser        string `json:"mongodb_user"`
	MongoDbPass        string `json:"mongodb_pass"`
	MongoDbHost        string `json:"mongodb_host"`
	MongoDbPort        string `json:"mongodb_port"`
	MariaDbUser        string `json:"mariadb_user"`
	MariaDbPass        string `json:"mariadb_pass"`
	MariaDbHost        string `json:"mariadb_host"`
	MariaDbPort        string `json:"mariadb_port"`
	MailUser           string `json:"mail_user"`
	MailPass           string `json:"mail_pass"`
	MailSmtpUser       string `json:"mail_smtp_user"`
	MailSmtpServer     string `json:"mail_smtp_server"`
	MailSmtpPort       string `json:"mail_smtp_port"`
	UserCreationSecret string `json:"user_creation_secret"`
}

var config Config

func init() {
	f, err := os.Open("../../configs/config.json")
	if err != nil {
		log.Fatalln(err, "Could not read config file")
	}
	defer f.Close()
	err = json.NewDecoder(f).Decode(&config)
	if err != nil {
		log.Fatalln(err, "Could not decode config file")
	}
}
